DS_LIST_DELETE(3)

FUNCTION
ds_list_delete - Delete an entry from the fragmented section of a linked list.

SYNOPSIS
#include <karma_ds.h>

void ds_list_delete

(packet_desc *list_desc, list_header *list_head, list_entry *entry)

DESCRIPTION
Delete an entry from the fragmented section of a linked list.

list_desc
    The packet descriptor for the list entry data. If this is not NULL, the routine will recursively deallocate the packet data.

list_head
    The list header.

entry
    The entry to be deleted. The entry and it's data packet are deallocated.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/